Subject: bug#23632: 25.1.50; Gratuitous undo boundary in latex-insert-block

From: Stefan Monnier <[email-masked]>
Date: Sat, 04 Jun 2016 12:49:50 -0400

> Yes. This is assuming that commands *both* change recursion depth *and*
> change a buffer.

Yes, it's like a fairly rare occurrence, where a command does both:
- modify some buffer(s)
- exit a recursive edit
So maybe we can live without paying attention to it.

>>> -- once when we capture the undoable changes (which happens
>>> often) and once on at the end of each command.
>> Right.  I see no need for any changes there.
> Really? I have to know the recursion depth at this point

No, let-bind the var to nil around each recursive edit should take care
of "everything" so you don't need to change anything else (including,
non need to pay any attention to the recursion depth).

> To be clear, though, to do this I need to augment recursive-edit in C? I
> need the let binding to last the life of the recursive edit?

That's right.  A call to `specbind' at the right spot might even be all
it takes.

        Stefan